petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscViewerFlush

Flushes a PetscViewer (i.e. tries to dump all the data that has been printed through a PetscViewer).

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerFlush(PetscViewer viewer)

Collective on PetscViewer

### Input Parameter

viewer -the PetscViewer to be flushed

### See Also

PetscViewerSocketOpen(), PetscViewerASCIIOpen(), PetscViewerDrawOpen(), PetscViewerCreate(), PetscViewerDestroy(),
PetscViewerSetType()

### Level

intermediate

### Location

src/sys/classes/viewer/interface/flush.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/swarm_ex1.c.html

### Implementations

PetscViewerFlush_ASCII in src/sys/classes/viewer/impls/ascii/filev.c
PetscViewerFlush_Draw in src/sys/classes/viewer/impls/draw/drawv.c
PetscViewerFlush_VTK in src/sys/classes/viewer/impls/vtk/vtkv.c
PetscViewerFlush_VU in src/sys/classes/viewer/impls/vu/petscvu.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages